Loading...
Searching...
No Matches
Dune::DenseMatVecTraits< FieldMatrix< K, ROWS, COLS > > Struct Template Reference
Common » Dense Matrix and Vector Template Library

`#include <dune/common/fmatrix.hh>`

Inheritance diagram for Dune::DenseMatVecTraits< FieldMatrix< K, ROWS, COLS > >:

## Public Types

typedef FieldMatrix< K, ROWS, COLS > | derived_type
typedef FieldVector< K, COLS > | row_type
typedef row_type & | row_reference
typedef const row_type & | const_row_reference
typedef std::array< row_type, ROWS > | container_type
typedef K | value_type
typedef container_type::size_type | size_type

## Member Typedef Documentation

## const_row_reference

template<class K, int ROWS, int COLS>

typedef const row_type& Dune::DenseMatVecTraits< FieldMatrix< K, ROWS, COLS > >::const_row_reference

## container_type

template<class K, int ROWS, int COLS>

typedef std::array<row_type,ROWS> Dune::DenseMatVecTraits< FieldMatrix< K, ROWS, COLS > >::container_type

## derived_type

template<class K, int ROWS, int COLS>

typedef FieldMatrix<K,ROWS,COLS> Dune::DenseMatVecTraits< FieldMatrix< K, ROWS, COLS > >::derived_type

## row_reference

template<class K, int ROWS, int COLS>

typedef row_type& Dune::DenseMatVecTraits< FieldMatrix< K, ROWS, COLS > >::row_reference

## row_type

template<class K, int ROWS, int COLS>

typedef FieldVector<K,COLS> Dune::DenseMatVecTraits< FieldMatrix< K, ROWS, COLS > >::row_type

## size_type

template<class K, int ROWS, int COLS>

typedef container_type::size_type Dune::DenseMatVecTraits< FieldMatrix< K, ROWS, COLS > >::size_type

## value_type

template<class K, int ROWS, int COLS>

typedef K Dune::DenseMatVecTraits< FieldMatrix< K, ROWS, COLS > >::value_type

The documentation for this struct was generated from the following file:

- fmatrix.hh